com.singularsys.jep.bigdecimal.functions

## Class BigDecNegate

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.UnaryFunction
    - - com.singularsys.jep.functions.UMinus
      - - com.singularsys.jep.bigdecimal.functions.BigDecNegate

- All Implemented Interfaces:
    PostfixMathCommandI, RealUnaryFunction, java.io.Serializable

      public class BigDecNegate
      extends UMinus

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecNegate(java.math.MathContext mc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.MathContext` | `getMathContext()`
    `void` | `setMathContext(java.math.MathContext mc)`
    `java.lang.Object` | `umin(java.lang.Object l)`

    - ### Methods inherited from class com.singularsys.jep.functions.UMinus

      `eval, evaluate`

    - ### Methods inherited from class com.singularsys.jep.functions.UnaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecNegate

          public BigDecNegate(java.math.MathContext mc)

      Parameters:
        `mc` -

  - ### Method Detail

    - #### umin

          public java.lang.Object umin(java.lang.Object l)
                                throws EvaluationException

      Overrides:
        `umin` in class `UMinus`
      Throws:
        `EvaluationException`

    - #### getMathContext

          public java.math.MathContext getMathContext()

    - #### setMathContext

          public void setMathContext(java.math.MathContext mc)

Copyright © 2018 Singular Systems http://www.singularsys.com/jep